package com.ruoyi.web.modules.farming.service;

import java.util.List;
import com.ruoyi.web.modules.farming.domain.BizLivestockKnowledge;

/**
 * 综合牧业知识库 Service
 */
public interface IBizLivestockKnowledgeService
{
    BizLivestockKnowledge selectBizLivestockKnowledgeById(Long id);

    List<BizLivestockKnowledge> selectBizLivestockKnowledgeList(BizLivestockKnowledge query);

    int insertBizLivestockKnowledge(BizLivestockKnowledge row);

    int updateBizLivestockKnowledge(BizLivestockKnowledge row);

    int deleteBizLivestockKnowledgeByIds(Long[] ids, String updateBy);

    int syncKb(Long id);

    int removeKb(Long id);
}
